Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1393 - problem with `Version: 2.6.1' in dev-2.6.1-2.src.rpm
Summary: problem with `Version: 2.6.1' in dev-2.6.1-2.src.rpm
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm
Version: 1.0
Hardware: arm7
OS: Linux
high
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-02 03:43 UTC by stewart
Modified: 2008-03-06 19:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-27 00:44:18 UTC


Attachments (Terms of Use)

Description stewart 1999-03-02 03:43:58 UTC
I think this is an rpm related bug...  On the arm I cannot
get the latest dev package to rebuild, it dumps core.

rpm -vv -ba dev.spec
[...]
+ exit 0
Processing files: dev
[lots...]
D: File 1342: 060640 root.disk   /dev/xdb8
D: File 1343: 020664 root.root   /dev/zero
Segmentation fault (core dumped)

If I change Version: to `Version: 2.6' in the spec file it
builds fine.

This is with rpm-2.91-17 or the latest from cvs
(rpm-2.92-1.990301)

Comment 1 stewart 1999-03-02 04:16:59 UTC
OK, ignore most of what I wrote last time...  When I changed the
version it used the previous tar ball...

The only difference between dev 2.6 and 2.6.1, that I can see, is
2.6.1 has:
	/dev/ptmx
	/dev/pts
So I don't know if this is rpm related or dev related...  Well aside
from the fact rpm should not dump core :-)

Comment 2 Bill Nottingham 1999-03-22 23:43:59 UTC
is this still happening with the latest rpm?

Comment 3 Jeff Johnson 1999-03-27 00:44:59 UTC
Fixed in rpm-2.93. There was a uid/gid in the dev tarball
that was not in /etc/passwd or /etc/group that caused a segfault.
Rpm now defaults to the builder's user/group if it can't look
up a uid/gid.


Note You need to log in before you can comment on or make changes to this bug.